Airwallex logo
Airwallex logoAirwallex logo

Accounts

Copy for LLMView as Markdown

Simulate the status transition of a connected account through its lifecycle in the sandbox environment.

Endpoints
POST /api/v1/simulation/account/amendments/{id}/approve
POST /api/v1/simulation/account/amendments/{id}/reject
POST /api/v1/simulation/accounts/{account_id}/update_status

Approve an account amendment

POST /api/v1/simulation/account/amendments/{id}/approve

Use this endpoint to approve an account amendment in PENDING status. Please note that the action is asynchronous and may take some time to complete. This endpoint does not guarantee an immediate status change upon request.

Parameters
idrequiredstring

Account amendment unique identifier.

Response body - 202 Accepted
idstring

A unique identifier of the amendment.

primary_contactobject

Contact information for the primary contact of the Airwallex specified account.

primary_contact.emailstring

A valid email address.

primary_contact.mobilestring

A valid mobile phone number.

statusstring

Status of the amendment. One of PENDING, APPROVED, REJECTED.

store_detailsobject

Relevant information associated with the store you are applying payment solutions for.

store_details.cross_border_transaction_percentstring

Percentage of products or services provided to international customers residing outside of where your business's registered.

store_details.dispute_percentstring

Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.

store_details.employee_sizeinteger

Total number of staff in all stores.

store_details.estimated_transaction_volumeobject

Your store's anticipated volume of transactions in the next 12 months with Airwallex.

store_details.estimated_transaction_volume.average_amount_per_transactionstring

The average transaction size of your store.

store_details.estimated_transaction_volume.currencystring

Currency of the transaction volume. (3-letter ISO 4217 currency code)

store_details.estimated_transaction_volume.max_amount_per_transactionstring

The maximum transaction size of your store.

store_details.estimated_transaction_volume.monthly_transaction_amountstring

The average monthly volume of your store.

store_details.financial_statementsarray

Additional documents about your store's financials.

store_details.financial_statements.file_idstring

Unique identifier of file as provided in the response from the File Service API.

store_details.fulfillment_daysinteger

Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.

store_details.industry_codestring

The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.

store_details.mccstring

Current or desired MCC for your store.

store_details.operating_modelsarray

The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.

store_details.payment_distributionarray

Anticipated transaction volume split by payment methods.

store_details.payment_distribution.payment_typestring

Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.

store_details.payment_distribution.percentagestring

Percentage of anticipated transaction volume.

store_details.refund_percentstring

Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.

store_details.selling_to_country_codesarray

List of country codes where products are sold.

store_details.shipping_from_country_codesarray

List of country codes from which goods are shipped.

store_details.store_addressobject

Physical address of the store.

store_details.store_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

store_details.store_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

store_details.store_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

store_details.store_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

store_details.store_address.statestring

Name of state. Only applicable if relevant to selected country.

store_details.store_address.suburbstring

Name of city/suburb.

store_details.store_descriptionstring

Free text description of your store's goods or services offerings. Max length is 500 characters.

store_details.store_namestring

The trading name your store is operating as. This name will also appear on the receipts to your customers.

store_details.store_photosarray

Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.

store_details.store_photos.file_idstring

All relevant store photos, if more than 1 physical store, provide one photo of each.

store_details.store_websitesarray

All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.

store_details.store_websites.urlstring

Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.

targetstring

Target of the amendment.

account_details.store_details, primary_contact

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

404

not_found

500

service_unavailable

POST /api/v1/simulation/account/amendments/{id}/approve
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/account/amendments/account_id/approve' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (202 Accepted)
1{
2 "id": "<string>",
3 "primary_contact": {
4 "email": "[email protected]",
5 "mobile": "<string>"
6 },
7 "status": "APPROVED",
8 "store_details": {
9 "cross_border_transaction_percent": "5.6",
10 "dispute_percent": "1.5",
11 "employee_size": 100,
12 "estimated_transaction_volume": {
13 "average_amount_per_transaction": "100",
14 "currency": "AUD",
15 "max_amount_per_transaction": "1000",
16 "monthly_transaction_amount": "500000"
17 },
18 "financial_statements": [
19 {
20 "file_id": "your_file_id"
21 }
22 ],
23 "fulfillment_days": 3,
24 "industry_code": "ICCV3_0002XX",
25 "mcc": "5599",
26 "operating_models": [
27 "ONLINE_CHECKOUT",
28 "INVOICES_OR_CUSTOM_ORDER_LINKS"
29 ],
30 "payment_distribution": [],
31 "refund_percent": "1.5",
32 "selling_to_country_codes": [
33 "US",
34 "CA"
35 ],
36 "shipping_from_country_codes": [
37 "US",
38 "AU"
39 ],
40 "store_address": {
41 "address_line1": "200 Collins Street",
42 "address_line2": "200 Collins Street",
43 "country_code": "AU",
44 "postcode": "3000",
45 "state": "VIC",
46 "suburb": "Melbourne"
47 },
48 "store_description": "I sell awesome products",
49 "store_name": "My Awesome Store",
50 "store_photos": [
51 {
52 "file_id": "your_photo_file_id"
53 }
54 ],
55 "store_websites": [
56 {
57 "url": "https://my-awesome-store.com"
58 }
59 ]
60 },
61 "target": "account_details.store_details"
62}
Was this section helpful?

Reject an account amendment

POST /api/v1/simulation/account/amendments/{id}/reject

Use this endpoint to reject an account amendment in PENDING status. Please note that the action is asynchronous and may take some time to complete. This endpoint does not guarantee an immediate status change upon request.

Parameters
idrequiredstring

Account amendment unique identifier.

Response body - 202 Accepted
idstring

A unique identifier of the amendment.

primary_contactobject

Contact information for the primary contact of the Airwallex specified account.

primary_contact.emailstring

A valid email address.

primary_contact.mobilestring

A valid mobile phone number.

statusstring

Status of the amendment. One of PENDING, APPROVED, REJECTED.

store_detailsobject

Relevant information associated with the store you are applying payment solutions for.

store_details.cross_border_transaction_percentstring

Percentage of products or services provided to international customers residing outside of where your business's registered.

store_details.dispute_percentstring

Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.

store_details.employee_sizeinteger

Total number of staff in all stores.

store_details.estimated_transaction_volumeobject

Your store's anticipated volume of transactions in the next 12 months with Airwallex.

store_details.estimated_transaction_volume.average_amount_per_transactionstring

The average transaction size of your store.

store_details.estimated_transaction_volume.currencystring

Currency of the transaction volume. (3-letter ISO 4217 currency code)

store_details.estimated_transaction_volume.max_amount_per_transactionstring

The maximum transaction size of your store.

store_details.estimated_transaction_volume.monthly_transaction_amountstring

The average monthly volume of your store.

store_details.financial_statementsarray

Additional documents about your store's financials.

store_details.financial_statements.file_idstring

Unique identifier of file as provided in the response from the File Service API.

store_details.fulfillment_daysinteger

Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.

store_details.industry_codestring

The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.

store_details.mccstring

Current or desired MCC for your store.

store_details.operating_modelsarray

The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.

store_details.payment_distributionarray

Anticipated transaction volume split by payment methods.

store_details.payment_distribution.payment_typestring

Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.

store_details.payment_distribution.percentagestring

Percentage of anticipated transaction volume.

store_details.refund_percentstring

Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.

store_details.selling_to_country_codesarray

List of country codes where products are sold.

store_details.shipping_from_country_codesarray

List of country codes from which goods are shipped.

store_details.store_addressobject

Physical address of the store.

store_details.store_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

store_details.store_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

store_details.store_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

store_details.store_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

store_details.store_address.statestring

Name of state. Only applicable if relevant to selected country.

store_details.store_address.suburbstring

Name of city/suburb.

store_details.store_descriptionstring

Free text description of your store's goods or services offerings. Max length is 500 characters.

store_details.store_namestring

The trading name your store is operating as. This name will also appear on the receipts to your customers.

store_details.store_photosarray

Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.

store_details.store_photos.file_idstring

All relevant store photos, if more than 1 physical store, provide one photo of each.

store_details.store_websitesarray

All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.

store_details.store_websites.urlstring

Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.

targetstring

Target of the amendment.

account_details.store_details, primary_contact

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

404

not_found

500

service_unavailable

POST /api/v1/simulation/account/amendments/{id}/reject
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/account/amendments/account_id/reject' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (202 Accepted)
1{
2 "id": "<string>",
3 "primary_contact": {
4 "email": "[email protected]",
5 "mobile": "<string>"
6 },
7 "status": "APPROVED",
8 "store_details": {
9 "cross_border_transaction_percent": "5.6",
10 "dispute_percent": "1.5",
11 "employee_size": 100,
12 "estimated_transaction_volume": {
13 "average_amount_per_transaction": "100",
14 "currency": "AUD",
15 "max_amount_per_transaction": "1000",
16 "monthly_transaction_amount": "500000"
17 },
18 "financial_statements": [
19 {
20 "file_id": "your_file_id"
21 }
22 ],
23 "fulfillment_days": 3,
24 "industry_code": "ICCV3_0002XX",
25 "mcc": "5599",
26 "operating_models": [
27 "ONLINE_CHECKOUT",
28 "INVOICES_OR_CUSTOM_ORDER_LINKS"
29 ],
30 "payment_distribution": [],
31 "refund_percent": "1.5",
32 "selling_to_country_codes": [
33 "US",
34 "CA"
35 ],
36 "shipping_from_country_codes": [
37 "US",
38 "AU"
39 ],
40 "store_address": {
41 "address_line1": "200 Collins Street",
42 "address_line2": "200 Collins Street",
43 "country_code": "AU",
44 "postcode": "3000",
45 "state": "VIC",
46 "suburb": "Melbourne"
47 },
48 "store_description": "I sell awesome products",
49 "store_name": "My Awesome Store",
50 "store_photos": [
51 {
52 "file_id": "your_photo_file_id"
53 }
54 ],
55 "store_websites": [
56 {
57 "url": "https://my-awesome-store.com"
58 }
59 ]
60 },
61 "target": "account_details.store_details"
62}
Was this section helpful?

Update status of connected account

POST /api/v1/simulation/accounts/{account_id}/update_status

Use this endpoint to transition the status of a connected account to one of the following: ACTIVE, SUSPENDED. The connected account must be in the SUBMITTED state to transition statuses. Learn about the connected account status lifecycle .

Parameters
account_idrequiredstring

Connected account unique identifier

Request body
forceboolean

Force the account to transition the status. This is true by default. If this is set to false, then any action_required state will not be cleared.

next_statusrequiredstring

The connected account status to transition to. Possible statuses are: ACTION_REQUIRED, ACTIVE, SUSPENDED

Response body - 200 OK
account_detailsobject

Relevant information associated with Airwallex account specified in the request.

account_details.attachmentsobject

Supplementary Materials.

account_details.attachments.additional_filesarray

Additional files.

account_details.attachments.additional_files.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.attachments.additional_files.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.attachments.additional_files.tagstring

Tag of the additional file.

DRIVERS_LICENSE_BACK, DRIVERS_LICENSE_FRONT, MEDICARE_CARD, OTHER, PASSPORT, PERSONAL_ID_BACK, PERSONAL_ID_FRONT

account_details.business_detailsobject

Business details including the type of business, primary place of business and industry type.

account_details.business_details.account_usageobject

The intended purpose of the account, such as product usage and monthly turnover.

account_details.business_details.account_usage.estimated_monthly_revenueobject

The approximate amount of revenue a business generates in a month.

account_details.business_details.account_usage.estimated_monthly_revenue.amountstring

The approximate amount of revenue a business generates in a month.

account_details.business_details.account_usage.estimated_monthly_revenue.currencystring

Currency of the revenue. (3-letter ISO 4217 currency code)

account_details.business_details.account_usage.product_referencearray

Intended product usage.
ACCEPT_ONLINE_PAYMENTS,COLLECT_MARKETPLACE_PROCEEDS,
RECEIVE_TRANSFERS,GET_PAID,CONVERT_FUNDS,
MAKE_TRANSFERS,CREATE_CARDS,MANAGE_EXPENSES,
USE_AWX_API,TRANSFER_CNY_INBOUND

account_details.business_details.as_trusteeboolean

Whether this account is set up as a trustee on behalf of a trust.

account_details.business_details.attachmentsobject

Reference to uploaded files of business documentation. (For file upload instructions, refer to 'File Service API'.)

account_details.business_details.attachments.business_documentsarray

All business documents, such as incorporation certificates, ownershipship structure, and other relevant documentation.

account_details.business_details.attachments.business_documents.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.business_details.attachments.business_documents.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.business_details.attachments.business_documents.tagstring

Tag of the business file.

ACRA_COMPANY_PROFILE_DOCUMENT, ANNUAL_REPORT, ANNUAL_RETURN, ARTICLES_OF_ASSOCIATION, ASIC_CURRENT_COMPANY_EXTRACT, ASSUMED_NAME_CERTIFICATE, AUTHORIZED_SIGNATORY_DISCLOSURE, BUSINESS_LICENSE, CERTIFICATE_OF_INCORPORATION, CERTIFICATION_REGISTRATION, COMPANY_CERTIFICATE, COMPANY_CONSTITUTION, COMPANY_PROFILE, CONFIRMATION_STATEMENT, DIRECTOR_LIST, LEGAL_NAME_AND_ADDRESS, OPERATING_AGREEMENT, PARTNERSHIP_AGREEMENT, REGISTRATION_CERTIFICATE, SHAREHOLDING_STRUCTURE_CHART, SUPPORTIVE_OTHER, THIRD_PARTY_SHAREHOLDING_DOCUMENT, TRUST_DEED, UBO_SUPPORTIVE, UNIT_HOLDER_REGISTER

account_details.business_details.business_addressobject

Address where the business operates and conducts its activities.

account_details.business_details.business_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.business_details.business_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.business_details.business_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.business_details.business_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.business_details.business_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.business_details.business_address.suburbstring

Name of city/suburb.

account_details.business_details.business_identifiersarray

Local business registration number i.e. an official signal of identification for the business.

account_details.business_details.business_identifiers.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.business_details.business_identifiers.numberstring

Local business registration number i.e. an official signal of identification for the business.

account_details.business_details.business_identifiers.typestring

Type of business registration number, depending on what's applicable to the country the business is registered in.

  • BRN: Business Registration Number
  • EIN: Employer Identification Number
  • SSN: Social Security Number
  • VAT: Value Added Tax Number
account_details.business_details.business_namestring

The official legal name of the business as registered with the relevant government authority.

account_details.business_details.business_name_englishstring

The official legal name of the business as registered with the relevant government authority. (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.business_details.business_name_tradingstring

Also known as a "doing business as" (DBA) name, refers to a name under which the business operates and conducts its activities, which may differ from its legal name.

account_details.business_details.business_start_datestring

The date on which the business officially begins its operations in YYYY-MM-DD format.

account_details.business_details.business_structurestring

Type of business structure.

COMPANY, CORPORATION, GENERAL_PARTNERSHIP, LIMITED_LIABILITY_COMPANY, LIMITED_LIABILITY_PARTNERSHIP, LIMITED_PARTNERSHIP, NON_REGISTERED_SOLE_PROPRIETOR, OTHER, PARTNERSHIP, SELF_MANAGED_SUPER_FUND, SOLE_PROPRIETOR, TRUST

account_details.business_details.contact_numberstring

Primary business phone number.

account_details.business_details.description_of_goods_or_servicesstring

Free text description of goods or services. Max length is 500 characters.

account_details.business_details.explanation_for_high_risk_countries_exposurestring

Free text description of business activities conducted in high-risk countries if any. Max length is 500 characters.

account_details.business_details.exports_goods_or_servicesboolean

Indicate whether the business engages in the export of goods and/or services.

account_details.business_details.has_member_holding_public_officeboolean

Indicate whether the customer, close family member, or business partner holds public office.

account_details.business_details.has_nominee_shareholdersboolean

Indicate whether any of the individuals hold their shares on behalf of a third party

account_details.business_details.has_prior_financial_institution_refusalboolean

Indicate whether the customer has been refused service from a financial institution due to ML/TF concerns.

account_details.business_details.has_ringgit_borrowingboolean

Indicate whether the business engages in domestic Ringgit borrowing.

account_details.business_details.industry_category_codestring

The code of the industry category most aligned with your business. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.

account_details.business_details.no_shareholders_with_over_25percentboolean

Attestation of ownership structure without shareholders holding above 25% shares

account_details.business_details.operating_countryarray

The countries in which the business conducts its operations, such as selling products or services, or providing support to customers. Multiple country codes (2-letter ISO 3166-2 country code) may be provided.

account_details.business_details.registration_addressobject

Address where the business is registered.

account_details.business_details.registration_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.business_details.registration_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.business_details.registration_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.business_details.registration_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.business_details.registration_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.business_details.registration_address.suburbstring

Name of city/suburb.

account_details.business_details.registration_address_englishobject

Address where the business is registered. (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.business_details.registration_address_english.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.business_details.registration_address_english.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.business_details.registration_address_english.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.business_details.registration_address_english.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.business_details.registration_address_english.statestring

Name of state. Only applicable if relevant to selected country.

account_details.business_details.registration_address_english.suburbstring

Name of city/suburb.

account_details.business_details.state_of_incorporationstring

The state where the business incorporated, different from registration state. (2-letter ISO 3166-2 state code)

account_details.business_details.urlstring

Websites associated with the business, such as its official website, social media pages, or other online profiles.

account_details.business_person_detailsarray

Details identifying the related persons of the business.

account_details.business_person_details.attachmentsobject

Reference to uploaded business person document. (For file upload instructions, refer to 'File Service API'.)

account_details.business_person_details.attachments.business_person_documentsarray

All personal documents, such as PPTA letter, change or name certificate, or other supporting documents.

account_details.business_person_details.attachments.business_person_documents.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.business_person_details.attachments.business_person_documents.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.business_person_details.attachments.business_person_documents.tagstring

Tag of the personal document

APPLICANT_SIGNATURE, PERSON_NAME_CHANGE_CERTIFICATE, PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER, PROOF_OF_ADDRESS, SUPPORTIVE_OTHER

account_details.business_person_details.date_of_birthstring

Birth date of the business person in YYYY-MM-DD format.

account_details.business_person_details.emailstring

Email of the business person.

account_details.business_person_details.first_namestring

First name of the business person.

account_details.business_person_details.first_name_englishstring

First name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.business_person_details.identificationsobject

Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card.

account_details.business_person_details.identifications.primaryobject

Details of the primary identification.

account_details.business_person_details.identifications.primary.drivers_licenseobject

Driver's license.

account_details.business_person_details.identifications.primary.drivers_license.back_file_idstring

File id of the photo of the back of the document.

account_details.business_person_details.identifications.primary.drivers_license.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.business_person_details.identifications.primary.drivers_license.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.business_person_details.identifications.primary.drivers_license.front_file_idstring

File id of the photo of the front of the document.

account_details.business_person_details.identifications.primary.drivers_license.genderstring

Gender listed on document.

account_details.business_person_details.identifications.primary.drivers_license.issuing_statestring

Name of state where the license is issued. Only applicable if relevant to selected country.

account_details.business_person_details.identifications.primary.drivers_license.numberstring

Driver's license number.

account_details.business_person_details.identifications.primary.drivers_license.versionstring

Version listed on the document. Only applicable if relevant to selected country.

account_details.business_person_details.identifications.primary.identification_typestring

Type of identification.

DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID

account_details.business_person_details.identifications.primary.issuing_country_codestring

Country where the license is issued. (2-letter ISO 3166-2 country code)

account_details.business_person_details.identifications.primary.passportobject

Passport.

account_details.business_person_details.identifications.primary.passport.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.business_person_details.identifications.primary.passport.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.business_person_details.identifications.primary.passport.front_file_idstring

File id of the photo of the front of the document.

account_details.business_person_details.identifications.primary.passport.mrz_line1string

First line of passport MRZ (machine-readable zone).

account_details.business_person_details.identifications.primary.passport.mrz_line2string

Second line of passport MRZ (machine-readable zone).

account_details.business_person_details.identifications.primary.passport.numberstring

Passport number.

account_details.business_person_details.identifications.primary.personal_idobject

Other government-issued unique identifier card.

account_details.business_person_details.identifications.primary.personal_id.back_file_idstring

File id of the photo of the back of the document.

account_details.business_person_details.identifications.primary.personal_id.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.business_person_details.identifications.primary.personal_id.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.business_person_details.identifications.primary.personal_id.front_file_idstring

File id of the photo of the front of the document.

account_details.business_person_details.identifications.primary.personal_id.numberstring

Document unique identifier number.

account_details.business_person_details.identifications.primary.tax_idobject

Tax unique identifier.

account_details.business_person_details.identifications.primary.tax_id.numberstring

Tax unique identifier number.

account_details.business_person_details.identifications.primary.tax_id.typestring

Tax unique identifier type.

ITIN, OTHERS, SSN, VAT

account_details.business_person_details.identifications.secondaryobject

Details of the secondary identity verification

account_details.business_person_details.identifications.secondary.drivers_licenseobject

Driver's license.

account_details.business_person_details.identifications.secondary.drivers_license.back_file_idstring

File id of the photo of the back of the document.

account_details.business_person_details.identifications.secondary.drivers_license.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.business_person_details.identifications.secondary.drivers_license.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.business_person_details.identifications.secondary.drivers_license.front_file_idstring

File id of the photo of the front of the document.

account_details.business_person_details.identifications.secondary.drivers_license.genderstring

Gender listed on document.

account_details.business_person_details.identifications.secondary.drivers_license.issuing_statestring

Name of state where the license is issued. Only applicable if relevant to selected country.

account_details.business_person_details.identifications.secondary.drivers_license.numberstring

Driver's license number.

account_details.business_person_details.identifications.secondary.drivers_license.versionstring

Version listed on the document. Only applicable if relevant to selected country.

account_details.business_person_details.identifications.secondary.identification_typestring

Type of identification.

DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID

account_details.business_person_details.identifications.secondary.issuing_country_codestring

Country where the license is issued. (2-letter ISO 3166-2 country code)

account_details.business_person_details.identifications.secondary.passportobject

Passport.

account_details.business_person_details.identifications.secondary.passport.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.business_person_details.identifications.secondary.passport.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.business_person_details.identifications.secondary.passport.front_file_idstring

File id of the photo of the front of the document.

account_details.business_person_details.identifications.secondary.passport.mrz_line1string

First line of passport MRZ (machine-readable zone).

account_details.business_person_details.identifications.secondary.passport.mrz_line2string

Second line of passport MRZ (machine-readable zone).

account_details.business_person_details.identifications.secondary.passport.numberstring

Passport number.

account_details.business_person_details.identifications.secondary.personal_idobject

Other government-issued unique identifier card.

account_details.business_person_details.identifications.secondary.personal_id.back_file_idstring

File id of the photo of the back of the document.

account_details.business_person_details.identifications.secondary.personal_id.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.business_person_details.identifications.secondary.personal_id.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.business_person_details.identifications.secondary.personal_id.front_file_idstring

File id of the photo of the front of the document.

account_details.business_person_details.identifications.secondary.personal_id.numberstring

Document unique identifier number.

account_details.business_person_details.identifications.secondary.tax_idobject

Tax unique identifier.

account_details.business_person_details.identifications.secondary.tax_id.numberstring

Tax unique identifier number.

account_details.business_person_details.identifications.secondary.tax_id.typestring

Tax unique identifier type.

ITIN, OTHERS, SSN, VAT

account_details.business_person_details.job_titlestring

Job title of the business person within the business.

account_details.business_person_details.last_namestring

Last name of the business person

account_details.business_person_details.last_name_englishstring

Last name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.business_person_details.live_selfie_file_idstring

File id for live-photo of the individual.

account_details.business_person_details.middle_namestring

Middle name of the business person.

account_details.business_person_details.middle_name_englishstring

Middle name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.business_person_details.nationalitystring

Nationality of the business person. (2-letter ISO 3166-2 country code)

account_details.business_person_details.person_idstring

Unique Id of this person. This field is only available when the account has passed KYC.

account_details.business_person_details.phone_numberstring

A valid phone number for the business person.

account_details.business_person_details.residential_addressobject

Address where the business is registered.

account_details.business_person_details.residential_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.business_person_details.residential_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.business_person_details.residential_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.business_person_details.residential_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.business_person_details.residential_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.business_person_details.residential_address.suburbstring

Name of city/suburb.

account_details.business_person_details.rolesarray

Roles of the business person. Any of AUTHORISED_PERSON, BENEFICIAL_OWNER, CONTROLLING_PERSON, DIRECTOR, LEGAL_REPRESENTATIVE, SIGNATORY. The order is not guaranteed in response.

account_details.individual_detailsobject

Individual details including name, address, face photo, and documents.

account_details.individual_details.account_usageobject

Information on how the account will be used, such as sending/receiving countries and monthly volume.

account_details.individual_details.account_usage.card_usagearray

Ways in which the account will use Airwallex borderless cards.
GENERAL_EXPENSES, BUSINESS_EXPENSES, EDUCATION,
TRAVEL_TRANSPORT, INSURANCE, SERVICES,
BILLS_UTILITIES, INVESTMENT, FEES_CHARGES,
HEALTHCARE, HOUSING, NO_CARD_USAGE

account_details.individual_details.account_usage.collection_country_codesarray

Countries from which the account will be collecting funds. (2-letter ISO 3166-2 country code)

account_details.individual_details.account_usage.collection_fromarray

Sources and counterparties from which the account will be collecting funds.
ALLOWANCE_FROM_FAMILY, BENEFITS_FROM_STATE, EMPLOYMENT_INCOME,
INVESTMENT_INCOME_NONPROPERTY, INCOME_FROM_PROPERTY,
INCOME_FROM_MARKETPLLACES,
INSURANCE, LOANS, SAVINGS, OTHER_THIRD_PARTIES,
PAYMENT_REFUNDS

account_details.individual_details.account_usage.expected_monthly_transaction_volumeobject

Estimate of expected monthly transaction volume.

account_details.individual_details.account_usage.expected_monthly_transaction_volume.amountstring

Estimate of the expected amount of money to be collected or paid out each month, in US dollars.

account_details.individual_details.account_usage.expected_monthly_transaction_volume.currencystring

Currency of the revenue. (3-letter ISO 4217 currency code).

account_details.individual_details.account_usage.payout_country_codesarray

Countries to which the account will be paying funds. (2-letter ISO 3166-2 country code)

account_details.individual_details.account_usage.payout_toarray

Beneficiaries and counterparties to which the account will be paying funds.
CONNECTED_AWX_ACCOUNT, EDUCATIONAL_INSTITUTIONS, FRIENDS_OR_RELATIVES,
MARKETPLACE_PLATFORM, MARKETPLACE_SELLERS, MOBILITY_PLATFORM,
OTHER_THIRD_PARTY_INDIVIDUALS, OWN_BANK_ACCOUNT

account_details.individual_details.account_usage.product_referencearray

Intended product usage.
CREATE_CARDS, MAKE_TRANSFERS, MARKETPLACE_WALLET,
MOBILITY_WALLET, OTHERS, PAYROLL_WALLET,
RECEIVE_TRANSFERS, TRADE_SECURITIES, TUITION_PAYMENTS

account_details.individual_details.attachmentsobject

Reference to uploaded identification document.

account_details.individual_details.attachments.individual_documentsarray

Identity files for individual accounts.

account_details.individual_details.attachments.individual_documents.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.individual_details.attachments.individual_documents.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.individual_details.attachments.individual_documents.tagstring

Tag of the identity file.

PERSON_NAME_CHANGE_CERTIFICATE, PROOF_OF_ADDRESS, SUPPORTIVE_OTHER

account_details.individual_details.date_of_birthstring

Birth date of the account user in YYYY-MM-DD format.

account_details.individual_details.employerobject

Information of the individual's employer.

account_details.individual_details.employer.business_identifiersarray

Local business registration number i.e. an official signal of identification for the business.

account_details.individual_details.employer.business_identifiers.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.individual_details.employer.business_identifiers.numberstring

Local business registration number i.e. an official signal of identification for the business.

account_details.individual_details.employer.business_identifiers.typestring

Type of business registration number, depending on what's applicable to the country the business is registered in.

  • BRN: Business Registration Number
  • EIN: Employer Identification Number
  • SSN: Social Security Number
  • VAT: Value Added Tax Number
account_details.individual_details.employer.business_namestring

Name of the employer.

account_details.individual_details.employer.industry_category_codestring

The code of the industry category most aligned with the individual's employer. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.

account_details.individual_details.estimated_monthly_incomeobject

Estimate of monthly income.

account_details.individual_details.estimated_monthly_income.amountstring

Estimate of monthly income.

account_details.individual_details.estimated_monthly_income.currencystring

Currency of the income. (3-letter ISO 4217 currency code)

account_details.individual_details.first_namestring

First name of the account user.

account_details.individual_details.first_name_englishstring

First name of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.

account_details.individual_details.has_member_holding_public_officeboolean

Indicate whether the customer, close family member, or business partner holds public office.

account_details.individual_details.has_prior_financial_institution_refusalboolean

Indicate whether the customer has been refused service from a financial institution due to ML/TF concerns.

account_details.individual_details.identificationsobject

Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card.

account_details.individual_details.identifications.primaryobject
account_details.individual_details.identifications.primary.drivers_licenseobject

Driver's license.

account_details.individual_details.identifications.primary.drivers_license.back_file_idstring

File id of the photo of the back of the document.

account_details.individual_details.identifications.primary.drivers_license.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.drivers_license.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.drivers_license.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.primary.drivers_license.genderstring

Gender listed on document.

account_details.individual_details.identifications.primary.drivers_license.issuing_statestring

Name of state issuing the license. Only applicable if relevant to selected country.

account_details.individual_details.identifications.primary.drivers_license.numberstring

Driver's license number.

account_details.individual_details.identifications.primary.drivers_license.versionstring

Version listed on the document. Only applicable if relevant to selected country.

account_details.individual_details.identifications.primary.identification_typestring

Type of identification.

DRIVERS_LICENSE, MEDICARE_CARD, PASSPORT, PERSONAL_ID, TAX_ID

account_details.individual_details.identifications.primary.issuing_country_codestring

Country issuing the document. (2-letter ISO 3166-2 country code)

account_details.individual_details.identifications.primary.medicare_cardobject

Medicare card.

account_details.individual_details.identifications.primary.medicare_card.back_file_idstring

File id of the photo of the back of the document.

account_details.individual_details.identifications.primary.medicare_card.card_numberstring

Medicare card number.

account_details.individual_details.identifications.primary.medicare_card.colorstring

Card color.

BLUE, GREEN, YELLOW

account_details.individual_details.identifications.primary.medicare_card.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.medicare_card.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.medicare_card.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.primary.medicare_card.reference_numberstring

Reference number listed on the document.

account_details.individual_details.identifications.primary.passportobject

Passport.

account_details.individual_details.identifications.primary.passport.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.passport.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.passport.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.primary.passport.mrz_line1string

First line of passport MRZ (machine-readable zone).

account_details.individual_details.identifications.primary.passport.mrz_line2string

Second line of passport MRZ (machine-readable zone).

account_details.individual_details.identifications.primary.passport.numberstring

Passport number.

account_details.individual_details.identifications.primary.personal_idobject

Personal unique identifier.

account_details.individual_details.identifications.primary.personal_id.back_file_idstring

File id of the photo of the back of the document.

account_details.individual_details.identifications.primary.personal_id.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.personal_id.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.primary.personal_id.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.primary.personal_id.numberstring

Document unique identifier number.

account_details.individual_details.identifications.primary.tax_idobject

Tax unique identifier.

account_details.individual_details.identifications.primary.tax_id.numberstring

Tax unique identifier number.

account_details.individual_details.identifications.primary.tax_id.typestring

Type of Tax unique identifier commonly used in the selected country.

ITIN, SSN

account_details.individual_details.identifications.secondaryobject
account_details.individual_details.identifications.secondary.drivers_licenseobject

Driver's license.

account_details.individual_details.identifications.secondary.drivers_license.back_file_idstring

File id of the photo of the back of the document.

account_details.individual_details.identifications.secondary.drivers_license.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.drivers_license.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.drivers_license.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.secondary.drivers_license.genderstring

Gender listed on document.

account_details.individual_details.identifications.secondary.drivers_license.issuing_statestring

Name of state issuing the license. Only applicable if relevant to selected country.

account_details.individual_details.identifications.secondary.drivers_license.numberstring

Driver's license number.

account_details.individual_details.identifications.secondary.drivers_license.versionstring

Version listed on the document. Only applicable if relevant to selected country.

account_details.individual_details.identifications.secondary.identification_typestring

Type of identification.

DRIVERS_LICENSE, MEDICARE_CARD, PASSPORT, PERSONAL_ID, TAX_ID

account_details.individual_details.identifications.secondary.issuing_country_codestring

Country issuing the document. (2-letter ISO 3166-2 country code)

account_details.individual_details.identifications.secondary.medicare_cardobject

Medicare card.

account_details.individual_details.identifications.secondary.medicare_card.back_file_idstring

File id of the photo of the back of the document.

account_details.individual_details.identifications.secondary.medicare_card.card_numberstring

Medicare card number.

account_details.individual_details.identifications.secondary.medicare_card.colorstring

Card color.

BLUE, GREEN, YELLOW

account_details.individual_details.identifications.secondary.medicare_card.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.medicare_card.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.medicare_card.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.secondary.medicare_card.reference_numberstring

Reference number listed on the document.

account_details.individual_details.identifications.secondary.passportobject

Passport.

account_details.individual_details.identifications.secondary.passport.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.passport.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.passport.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.secondary.passport.mrz_line1string

First line of passport MRZ (machine-readable zone).

account_details.individual_details.identifications.secondary.passport.mrz_line2string

Second line of passport MRZ (machine-readable zone).

account_details.individual_details.identifications.secondary.passport.numberstring

Passport number.

account_details.individual_details.identifications.secondary.personal_idobject

Personal unique identifier.

account_details.individual_details.identifications.secondary.personal_id.back_file_idstring

File id of the photo of the back of the document.

account_details.individual_details.identifications.secondary.personal_id.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.personal_id.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.individual_details.identifications.secondary.personal_id.front_file_idstring

File id of the photo of the front of the document.

account_details.individual_details.identifications.secondary.personal_id.numberstring

Document unique identifier number.

account_details.individual_details.identifications.secondary.tax_idobject

Tax unique identifier.

account_details.individual_details.identifications.secondary.tax_id.numberstring

Tax unique identifier number.

account_details.individual_details.identifications.secondary.tax_id.typestring

Type of Tax unique identifier commonly used in the selected country.

ITIN, SSN

account_details.individual_details.last_namestring

Last name of the account user.

account_details.individual_details.last_name_englishstring

Last name of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.

account_details.individual_details.live_selfie_file_idstring

File id for live-photo of the individual.

account_details.individual_details.middle_namestring

Middle name of the account user.

account_details.individual_details.middle_name_englishstring

Middle name of the account user. (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the first name, middle name or last name fields include non-ASCII characters.

account_details.individual_details.nationalitystring

Nationality of the account user. (2-letter ISO 3166-2 country code)

account_details.individual_details.occupationstring

Occupation of the individual person.

ACCOUNTANT, ADMINISTRATION, ARCHITECTURE, ARTIST, ATHLETE, BEAUTY, BUSINESSMAN, CONSTRUCTION, COOK, DELIVERY, DESIGNER, ENGINEER, FINANCE, GOVERNMENT, HEALTHCARE, INSURANCE, JOURNALIST, LEGAL, MANAGER, MARKETING, MEDIA, MILITARY, NURSE, OFFICER, OTHERS, PILOT, PRODUCTION, PROGRAMMER, REAL_ESTATE, SALESPERSON, SELF_EMPLOYMENT, STUDENT, SURVEYOR, TEACHER, TECHNICIAN, TRAVEL, UNEMPLOYED, WAITER

account_details.individual_details.other_namesarray

Alias or other names of the individual person if different.

account_details.individual_details.other_names.first_namestring

First name (given name) of the individual person if different.

account_details.individual_details.other_names.last_namestring

Last name (family name) of the individual person if different.

account_details.individual_details.other_names.middle_namestring

Middle name of the individual person if different.

account_details.individual_details.person_idstring

Unique Id of this person. This field is only available when the account has passed KYC.

account_details.individual_details.phone_numberstring

Phone number of the account user, used for identity verification

account_details.individual_details.photo_holding_identification_file_idstring

File id of a photo of the individual holding their identification. Applicable only if specifically requested by Airwallex.

account_details.individual_details.residential_addressobject

Address of the account user.

account_details.individual_details.residential_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.individual_details.residential_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.individual_details.residential_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.individual_details.residential_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.individual_details.residential_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.individual_details.residential_address.suburbstring

Name of city/suburb.

account_details.individual_details.residential_address_englishobject

Address of the account user (in ASCII characters only, e.g. romanization of non-Latin characters) Required if the address field includes non-ASCII characters.

account_details.individual_details.residential_address_english.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.individual_details.residential_address_english.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.individual_details.residential_address_english.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.individual_details.residential_address_english.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.individual_details.residential_address_english.statestring

Name of state. Only applicable if relevant to selected country.

account_details.individual_details.residential_address_english.suburbstring

Name of city/suburb.

account_details.legal_entity_idstring

Legal Entity unique identifier of the account.

account_details.legal_entity_typestring

Type of account. Defaults to BUSINESS.

BUSINESS, INDIVIDUAL

account_details.store_detailsobject

Relevant information associated with the store you are applying payment solutions for.

account_details.store_details.cross_border_transaction_percentstring

Percentage of products or services provided to international customers residing outside of where your business's registered.

account_details.store_details.dispute_percentstring

Average dispute rate (percentage of total successful payments that are claimed as disputed charges by card schemes) of your store in the past three months.

account_details.store_details.employee_sizeinteger

Total number of staff in all stores.

account_details.store_details.estimated_transaction_volumeobject

Your store's anticipated volume of transactions in the next 12 months with Airwallex.

account_details.store_details.estimated_transaction_volume.average_amount_per_transactionstring

The average transaction size of your store.

account_details.store_details.estimated_transaction_volume.currencystring

Currency of the transaction volume. (3-letter ISO 4217 currency code)

account_details.store_details.estimated_transaction_volume.max_amount_per_transactionstring

The maximum transaction size of your store.

account_details.store_details.estimated_transaction_volume.monthly_transaction_amountstring

The average monthly volume of your store.

account_details.store_details.financial_statementsarray

Additional documents about your store's financials.

account_details.store_details.financial_statements.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.store_details.fulfillment_daysinteger

Number of days your customers will typically need to wait to receive their goods or services after paying for their orders.

account_details.store_details.industry_codestring

The code of the industry category most aligned with your store. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.

account_details.store_details.mccstring

Current or desired MCC for your store.

account_details.store_details.operating_modelsarray

The model of which our customers pay for their orders. Refer to https://www.airwallex.com/docs/payments/about-airwallex-payments/choose-your-payments-solution#what-is-your-payments-use-case
One or more of ONLINE_CHECKOUT, INVOICES_OR_CUSTOM_ORDER_LINKS, IN_PERSON.

account_details.store_details.payment_distributionarray

Anticipated transaction volume split by payment methods.

account_details.store_details.payment_distribution.payment_typestring

Type of payment methods; one of CARDS, BANK_DIRECT_DEBIT, OTHER.

account_details.store_details.payment_distribution.percentagestring

Percentage of anticipated transaction volume.

account_details.store_details.refund_percentstring

Average refund rate (percentage of total successful payments that are refunded to your customers) of your store in the past three months.

account_details.store_details.selling_to_country_codesarray

List of country codes where products are sold.

account_details.store_details.shipping_from_country_codesarray

List of country codes from which goods are shipped.

account_details.store_details.store_addressobject

Physical address of the store.

account_details.store_details.store_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.store_details.store_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.store_details.store_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.store_details.store_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.store_details.store_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.store_details.store_address.suburbstring

Name of city/suburb.

account_details.store_details.store_descriptionstring

Free text description of your store's goods or services offerings. Max length is 500 characters.

account_details.store_details.store_namestring

The trading name your store is operating as. This name will also appear on the receipts to your customers.

account_details.store_details.store_photosarray

Store photos of shop front clearly displaying the company name or photo of building entrance as well as directory with company name listed.

account_details.store_details.store_photos.file_idstring

All relevant store photos, if more than 1 physical store, provide one photo of each.

account_details.store_details.store_websitesarray

All websites associated with the store you are applying payment solutions for. They must be in the same industry selling the same or similar goods and services, otherwise you will need to submit another application as a different store.

account_details.store_details.store_websites.urlstring

Url of the store websites, including online store, marketplace stores, app-store links or other relevant websites.

account_details.trustee_detailsobject

Details identifying the trustee of the business.

account_details.trustee_details.business_detailsobject

Business details including the type of business, primary place of business, and industry type.

account_details.trustee_details.business_details.attachmentsobject

Reference to uploaded files of business documentation. (For file upload instructions, refer to 'File Service API'.)

account_details.trustee_details.business_details.attachments.business_documentsarray

All business documents, such as incorporation certificates, ownershipship structure, and other relevant documentation.

account_details.trustee_details.business_details.attachments.business_documents.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.trustee_details.business_details.attachments.business_documents.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.trustee_details.business_details.attachments.business_documents.tagstring

Tag of the business file.

ACRA_COMPANY_PROFILE_DOCUMENT, ANNUAL_REPORT, ANNUAL_RETURN, ARTICLES_OF_ASSOCIATION, ASIC_CURRENT_COMPANY_EXTRACT, ASSUMED_NAME_CERTIFICATE, AUTHORIZED_SIGNATORY_DISCLOSURE, BUSINESS_LICENSE, CERTIFICATE_OF_INCORPORATION, CERTIFICATION_REGISTRATION, COMPANY_CERTIFICATE, COMPANY_CONSTITUTION, COMPANY_PROFILE, CONFIRMATION_STATEMENT, DIRECTOR_LIST, LEGAL_NAME_AND_ADDRESS, OPERATING_AGREEMENT, PARTNERSHIP_AGREEMENT, REGISTRATION_CERTIFICATE, SHAREHOLDING_STRUCTURE_CHART, SUPPORTIVE_OTHER, THIRD_PARTY_SHAREHOLDING_DOCUMENT, TRUST_DEED, UBO_SUPPORTIVE, UNIT_HOLDER_REGISTER

account_details.trustee_details.business_details.business_identifiersarray

Local business registration number i.e. an official signal of identification for the business.

account_details.trustee_details.business_details.business_identifiers.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.business_identifiers.numberstring

Local business registration number i.e. an official signal of identification for the business.

account_details.trustee_details.business_details.business_identifiers.typestring

Type of business registration number, depending on what's applicable to the country the business is registered in.

  • BRN: Business Registration Number
  • EIN: Employer Identification Number
  • SSN: Social Security Number
  • VAT: Value Added Tax Number
account_details.trustee_details.business_details.business_namestring

The official legal name of the business as registered with the relevant government authority..

account_details.trustee_details.business_details.business_name_englishstring

The official legal name of the business as registered with the relevant government authority. (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.business_details.business_person_detailsarray

Details identifying the related persons of the business.

account_details.trustee_details.business_details.business_person_details.attachmentsobject

Reference to uploaded business person document. (For file upload instructions, refer to 'File Service API'.)

account_details.trustee_details.business_details.business_person_details.attachments.business_person_documentsarray

All personal documents, such as PPTA letter, change or name certificate, or other supporting documents.

account_details.trustee_details.business_details.business_person_details.attachments.business_person_documents.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.trustee_details.business_details.business_person_details.attachments.business_person_documents.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.trustee_details.business_details.business_person_details.attachments.business_person_documents.tagstring

Tag of the personal document

APPLICANT_SIGNATURE, PERSON_NAME_CHANGE_CERTIFICATE, PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER, PROOF_OF_ADDRESS, SUPPORTIVE_OTHER

account_details.trustee_details.business_details.business_person_details.date_of_birthstring

Birth date of the business person in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.emailstring

Email of the business person.

account_details.trustee_details.business_details.business_person_details.first_namestring

First name of the business person.

account_details.trustee_details.business_details.business_person_details.first_name_englishstring

First name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.business_details.business_person_details.identificationsobject

Details of the business person for identity verification, such as a passport, driver's license, or other government-issued unique identifier card.

account_details.trustee_details.business_details.business_person_details.identifications.primaryobject

Details of the primary identification.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_licenseobject

Driver's license.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.back_file_idstring

File id of the photo of the back of the document.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.front_file_idstring

File id of the photo of the front of the document.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.genderstring

Gender listed on document.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.issuing_statestring

Name of state where the license is issued. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.numberstring

Driver's license number.

account_details.trustee_details.business_details.business_person_details.identifications.primary.drivers_license.versionstring

Version listed on the document. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.business_person_details.identifications.primary.identification_typestring

Type of identification.

DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID

account_details.trustee_details.business_details.business_person_details.identifications.primary.issuing_country_codestring

Country where the license is issued. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.business_person_details.identifications.primary.passportobject

Passport.

account_details.trustee_details.business_details.business_person_details.identifications.primary.passport.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.primary.passport.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.primary.passport.front_file_idstring

File id of the photo of the front of the document.

account_details.trustee_details.business_details.business_person_details.identifications.primary.passport.mrz_line1string

First line of passport MRZ (machine-readable zone).

account_details.trustee_details.business_details.business_person_details.identifications.primary.passport.mrz_line2string

Second line of passport MRZ (machine-readable zone).

account_details.trustee_details.business_details.business_person_details.identifications.primary.passport.numberstring

Passport number.

account_details.trustee_details.business_details.business_person_details.identifications.primary.personal_idobject

Other government-issued unique identifier card.

account_details.trustee_details.business_details.business_person_details.identifications.primary.personal_id.back_file_idstring

File id of the photo of the back of the document.

account_details.trustee_details.business_details.business_person_details.identifications.primary.personal_id.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.primary.personal_id.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.primary.personal_id.front_file_idstring

File id of the photo of the front of the document.

account_details.trustee_details.business_details.business_person_details.identifications.primary.personal_id.numberstring

Document unique identifier number.

account_details.trustee_details.business_details.business_person_details.identifications.primary.tax_idobject

Tax unique identifier.

account_details.trustee_details.business_details.business_person_details.identifications.primary.tax_id.numberstring

Tax unique identifier number.

account_details.trustee_details.business_details.business_person_details.identifications.primary.tax_id.typestring

Tax unique identifier type.

ITIN, OTHERS, SSN, VAT

account_details.trustee_details.business_details.business_person_details.identifications.secondaryobject

Details of the secondary identity verification

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_licenseobject

Driver's license.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.back_file_idstring

File id of the photo of the back of the document.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.front_file_idstring

File id of the photo of the front of the document.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.genderstring

Gender listed on document.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.issuing_statestring

Name of state where the license is issued. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.numberstring

Driver's license number.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.drivers_license.versionstring

Version listed on the document. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.identification_typestring

Type of identification.

DRIVERS_LICENCE, PASSPORT, PERSONAL_ID, TAX_ID

account_details.trustee_details.business_details.business_person_details.identifications.secondary.issuing_country_codestring

Country where the license is issued. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passportobject

Passport.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passport.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passport.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passport.front_file_idstring

File id of the photo of the front of the document.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passport.mrz_line1string

First line of passport MRZ (machine-readable zone).

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passport.mrz_line2string

Second line of passport MRZ (machine-readable zone).

account_details.trustee_details.business_details.business_person_details.identifications.secondary.passport.numberstring

Passport number.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.personal_idobject

Other government-issued unique identifier card.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.personal_id.back_file_idstring

File id of the photo of the back of the document.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.personal_id.effective_atstring

Document effective as of this date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.personal_id.expire_atstring

Document expiry date in YYYY-MM-DD format.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.personal_id.front_file_idstring

File id of the photo of the front of the document.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.personal_id.numberstring

Document unique identifier number.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.tax_idobject

Tax unique identifier.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.tax_id.numberstring

Tax unique identifier number.

account_details.trustee_details.business_details.business_person_details.identifications.secondary.tax_id.typestring

Tax unique identifier type.

ITIN, OTHERS, SSN, VAT

account_details.trustee_details.business_details.business_person_details.job_titlestring

Job title of the business person within the business.

account_details.trustee_details.business_details.business_person_details.last_namestring

Last name of the business person

account_details.trustee_details.business_details.business_person_details.last_name_englishstring

Last name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.business_details.business_person_details.live_selfie_file_idstring

File id for live-photo of the individual.

account_details.trustee_details.business_details.business_person_details.middle_namestring

Middle name of the business person.

account_details.trustee_details.business_details.business_person_details.middle_name_englishstring

Middle name of the business person (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.business_details.business_person_details.nationalitystring

Nationality of the business person. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.business_person_details.person_idstring

Unique Id of this person. This field is only available when the account has passed KYC.

account_details.trustee_details.business_details.business_person_details.phone_numberstring

A valid phone number for the business person.

account_details.trustee_details.business_details.business_person_details.residential_addressobject

Address where the business is registered.

account_details.trustee_details.business_details.business_person_details.residential_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.trustee_details.business_details.business_person_details.residential_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.trustee_details.business_details.business_person_details.residential_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.business_person_details.residential_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.business_person_details.residential_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.business_person_details.residential_address.suburbstring

Name of city/suburb.

account_details.trustee_details.business_details.business_person_details.rolesarray

Roles of the business person. Any of AUTHORISED_PERSON, BENEFICIAL_OWNER, CONTROLLING_PERSON, DIRECTOR, LEGAL_REPRESENTATIVE, SIGNATORY. The order is not guaranteed in response.

account_details.trustee_details.business_details.business_structurestring

Type of business structure.

COMPANY, PARTNERSHIP, SOLE_PROPRIETOR

account_details.trustee_details.business_details.contact_numberstring

Primary business phone number.

account_details.trustee_details.business_details.description_of_goods_or_servicesstring

Free text description of goods or services. Max length is 500 characters.

account_details.trustee_details.business_details.explanation_for_high_risk_countries_exposurestring

Free text description of business activities conducted in high-risk countries if any. Max length is 500 characters.

account_details.trustee_details.business_details.industry_category_codestring

The code of the industry category most aligned with your business. Please navigate to the 'Supporting Services' > 'Reference Data' > 'Industry categories' section for an endpoint to pull a tree of categories.

account_details.trustee_details.business_details.operating_countryarray

The countries in which the business conducts its operations, such as selling products or services, or providing support to customers. Multiple country codes (2-letter ISO 3166-2 country code) may be provided.

account_details.trustee_details.business_details.registration_addressobject

Address where the business is registered.

account_details.trustee_details.business_details.registration_address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.trustee_details.business_details.registration_address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.trustee_details.business_details.registration_address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.registration_address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.registration_address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.registration_address.suburbstring

Name of city/suburb.

account_details.trustee_details.business_details.registration_address_englishobject

Address where the business is registered. (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.business_details.registration_address_english.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.trustee_details.business_details.registration_address_english.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.trustee_details.business_details.registration_address_english.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.trustee_details.business_details.registration_address_english.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.registration_address_english.statestring

Name of state. Only applicable if relevant to selected country.

account_details.trustee_details.business_details.registration_address_english.suburbstring

Name of city/suburb.

account_details.trustee_details.business_details.urlstring

Websites associated with the business, such as its official website, social media pages, or other online profiles.

account_details.trustee_details.individual_detailsarray

Individual details including name, including name, address, face photo, and documents.

account_details.trustee_details.individual_details.addressobject

Address where the business is registered.

account_details.trustee_details.individual_details.address.address_line1string

The first line of a physical address, typically including the street number and name of the building or residence. A P.O. box is not acceptable.

account_details.trustee_details.individual_details.address.address_line2string

An optional field that can be used to capture additional information about the address, such as the apartment/ suite number, or floor number.

account_details.trustee_details.individual_details.address.country_codestring

Country code. (2-letter ISO 3166-2 country code)

account_details.trustee_details.individual_details.address.postcodestring

Postcode or zip code. Only applicable if relevant to selected country.

account_details.trustee_details.individual_details.address.statestring

Name of state. Only applicable if relevant to selected country.

account_details.trustee_details.individual_details.address.suburbstring

Name of city/suburb.

account_details.trustee_details.individual_details.attachmentsobject

Reference to uploaded identification document. (For file upload instructions, refer to 'File Service API'.)

account_details.trustee_details.individual_details.attachments.identity_filesarray

Identity files.

account_details.trustee_details.individual_details.attachments.identity_files.descriptionstring

Optional field for any additional notes or text description for the file.

account_details.trustee_details.individual_details.attachments.identity_files.file_idstring

Unique identifier of file as provided in the response from the File Service API.

account_details.trustee_details.individual_details.attachments.identity_files.tagstring

Tag of the identity file.

DRIVERS_LICENSE_BACK, DRIVERS_LICENSE_FRONT, PASSPORT, PERSONAL_ID_BACK, PERSONAL_ID_FRONT

account_details.trustee_details.individual_details.date_of_birthstring

Birth date of the trustee in YYYY-MM-DD format.

account_details.trustee_details.individual_details.first_namestring

First name of the trustee.

account_details.trustee_details.individual_details.first_name_englishstring

First name of the trustee (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.individual_details.identification_drivers_license_versionstring

Driver's license card number (not driver's license number) the trustee can provide.

account_details.trustee_details.individual_details.identification_numberstring

Identification number the trustee can provide.

account_details.trustee_details.individual_details.identification_typestring

Identification type the trustee can provide.

account_details.trustee_details.individual_details.last_namestring

Last name of the trustee.

account_details.trustee_details.individual_details.last_name_englishstring

Last name of the trustee (in ASCII characters only, e.g. romanization of non-Latin characters)

account_details.trustee_details.individual_details.nationalitystring

Nationality of the trustee. (2-letter ISO 3166-2 country code)

account_details.trustee_details.legal_entity_typestring

Type of trustee. Defaults to BUSINESS.

BUSINESS, INDIVIDUAL

created_atstring

Time the account was created.

customer_agreementsobject

Agreements collected from the user, such as acceptance of terms and conditions, or opt in for marketing.

customer_agreements.agreed_to_data_usageboolean

Consent to Airwallex using the provided data, including consent for Airwallex to verify the identity of relevant individuals with Airwallex service providers and database owners in accordance with the Identity Verification Terms.

customer_agreements.agreed_to_terms_and_conditionsboolean

Agreement to abide by the Airwallex terms and conditions.

customer_agreements.opt_in_for_marketingboolean

Agreement to receive email from Airwallex on news, promotions, etc.

customer_agreements.terms_and_conditionsobject

Terms and conditions between Airwallex and the account holder.

customer_agreements.terms_and_conditions.agreed_atstring

The timestamp marking when the account representative agreed to their service agreement in ISO 8601 format.

customer_agreements.terms_and_conditions.device_dataobject

Client device information applicable when agreement is accepted. It is recommended to provide this data for risk analysis

customer_agreements.terms_and_conditions.device_data.ip_addressstring

The IP address from which the account representative accepted their service agreement.

customer_agreements.terms_and_conditions.device_data.user_agentstring

The user agent of the browser from which the account representative accepted their service agreement.

customer_agreements.terms_and_conditions.service_agreement_typestring

The user’s service type of their agreement. Default to FULL. A FULL service agreement creates a service relationship between Airwallex and the account holder. A RECIPIENT service agreement clarifies that there is no service relationship between Airwallex and the recipient, and that the recipient’s relationship is with the platform. This service agreement type is required for creating Ledger Account .

idstring

Airwallex account unique identifier. Once this new account is created, it will be connected to your account and becomes the key value you communicate with Airwallex for any activities in the future.

identifierstring

The identifier that the platform uses to identify a merchant, usually a unique merchant identifier.

metadataobject

A set of key-value pairs that you can attach to an Account object. This can be useful for storing additional information about the account in a structured format.

next_actionobject

Further information required in order to proceed with this account.

next_action.typestring

Code that describes what to do next when status is ACTION_REQUIRED.

nicknamestring

Optional human-friendly account name.

primary_contactobject

Contact information for the primary contact of the Airwallex specified account.

primary_contact.emailstring

A valid email address.

primary_contact.mobilestring

A valid mobile phone number.

reactivate_detailsobject

The reactivate details for ACTIVE account with reactivation history.

reactivate_details.messagestring
reactivate_details.reactivated_atstring
requirementsobject

Further information required in order to proceed with this account.

requirements.agreement_to_terms_and_conditions_requiredobject

Agreement to terms and conditions required, only if account is submitted without having agreed.

requirements.agreement_to_terms_and_conditions_required.endpointstring

Call this endpoint to agree to terms and conditions.

requirements.agreement_to_terms_and_conditions_required.messagestring

Message describing what needs to be done to agree to terms and conditions.

requirements.agreement_to_terms_and_conditions_required.methodstring

Call the endpoint with this http method to agree to terms and conditions.

requirements.otherarray

Any other requirements.

requirements.other.error_codestring

Error code for what caused this requirement.

OTHER

requirements.other.messagestring

Information on requirement.

requirements.photo_file_id_requiredobject

File id of the photo file, only required if facial liveness check failed.

requirements.photo_file_id_required.error_codestring

Error code for what caused this requirement.

FACE_CLOSE_TO_BORDER, FACE_CROPPED, FACE_IS_BLOCKED, FACE_NOT_FOUND, FACE_OVER_ROTATED, FACE_TOO_CLOSE, FACE_TOO_SMALL, FAILED_TO_PROCESS_IMAGE, LIVENESS_CHECK_FAILED, OTHER, TOO_MANY_FACES, UNKNOWN

requirements.photo_file_id_required.messagestring

Information on requirement for Photo File.

requirements.photo_file_id_required.photo_file_idstring

Photo file as provided in the response from the File Service API.

requirements.photo_holding_id_requiredarray

Photo of user holding their id, only required if document face matching failed.

requirements.photo_holding_id_required.error_codestring

Error code for what caused this requirement.

FACE_MATCHING_FAILED

requirements.photo_holding_id_required.front_file_idstring

File id of identification file.

requirements.photo_holding_id_required.messagestring

Information on requirement for photo of person holding their id.

requirements.photo_holding_id_required.photo_file_idstring

Photo file as provided in the response from the File Service API.

requirements.primary_identification_requiredarray

The primary form of identification, only required if document verification failed.

requirements.primary_identification_required.back_file_idstring

File id of identification file.

requirements.primary_identification_required.error_codestring

Error code for what caused this requirement.

ADDRESS_NOT_FOUND, BLURRY_IMAGE, DATA_COMPARISON_TOO_LOW, DOCUMENT_TYPE_FAILED, DOCUMENT_VALIDATION_FAILED, EXPIRED_DOCUMENT, FACE_MATCHING_FAILED, FAILED_TO_PROCESS, GLARE_IMAGE, OTHER

requirements.primary_identification_required.first_namestring

First name of person requiring identification.

requirements.primary_identification_required.front_file_idstring

File id of identification file.

requirements.primary_identification_required.last_namestring

Last name of person requiring identification.

requirements.primary_identification_required.messagestring

Information on requirement for identification.

requirements.primary_identification_required.middle_namestring

Middle name of person requiring identification.

requirements.reason_for_duplicate_account_requiredarray

An explanation for why you are creating a second account, only required if one already exists.

requirements.reason_for_duplicate_account_required.error_codestring

Error code for what caused this requirement.

CONFIRM_REASON_FOR_SECOND_ACCOUNT, OTHER

requirements.reason_for_duplicate_account_required.messagestring

Information on requirement when the account appears to be a duplicate.

requirements.secondary_identification_requiredarray

A secondary form of identification, only required if otherwise provided identification is insufficient to proceed.

requirements.secondary_identification_required.back_file_idstring

File id of identification file.

requirements.secondary_identification_required.error_codestring

Error code for what caused this requirement.

ADDRESS_NOT_FOUND, BLURRY_IMAGE, DATA_COMPARISON_TOO_LOW, DOCUMENT_TYPE_FAILED, DOCUMENT_VALIDATION_FAILED, EXPIRED_DOCUMENT, FACE_MATCHING_FAILED, FAILED_TO_PROCESS, GLARE_IMAGE, OTHER

requirements.secondary_identification_required.first_namestring

First name of person requiring identification.

requirements.secondary_identification_required.front_file_idstring

File id of identification file.

requirements.secondary_identification_required.last_namestring

Last name of person requiring identification.

requirements.secondary_identification_required.messagestring

Information on requirement for identification.

requirements.secondary_identification_required.middle_namestring

Middle name of person requiring identification.

statusstring

Status of the account. One of CREATED, SUBMITTED, ACTION_REQUIRED, ACTIVE, SUSPENDED.

suspend_detailsarray

The suspend details for SUSPENDED account.

suspend_details.codestring
suspend_details.detailsobject
suspend_details.messagestring
suspend_details.suspended_atstring
view_typestring

Information on whether the response contains complete or PII excluded data.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/accounts/{account_id}/update_status
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/simulation/accounts/account_id/update_status' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "force": true,
> "next_status": "ACTIVE"
>}'
Response (200 OK)
1{
2 "account_details": {
3 "attachments": {
4 "additional_files": [
5 {
6 "tag": "DRIVERS_LICENSE_FRONT"
7 }
8 ]
9 },
10 "business_details": {
11 "account_usage": {
12 "estimated_monthly_revenue": {
13 "amount": "50000",
14 "currency": "USD"
15 },
16 "product_reference": [
17 "ACCEPT_ONLINE_PAYMENTS",
18 "RECEIVE_TRANSFERS"
19 ]
20 },
21 "as_trustee": true,
22 "attachments": {
23 "business_documents": [
24 {
25 "tag": "BUSINESS_LICENSE"
26 }
27 ]
28 },
29 "business_address": {
30 "address_line1": "200 Collins Street",
31 "address_line2": "200 Collins Street",
32 "country_code": "AU",
33 "postcode": "3000",
34 "state": "VIC",
35 "suburb": "Melbourne"
36 },
37 "business_identifiers": [
38 {
39 "country_code": "US",
40 "number": "A1098762872",
41 "type": "BRN"
42 }
43 ],
44 "business_name": "Swift Concrete Pty Ltd",
45 "business_name_english": "Swift Concrete Pty Ltd",
46 "business_name_trading": "<string>",
47 "business_start_date": "2023-10-11",
48 "business_structure": "COMPANY",
49 "contact_number": "6457892324",
50 "description_of_goods_or_services": "<string>",
51 "explanation_for_high_risk_countries_exposure": "<string>",
52 "exports_goods_or_services": true,
53 "has_member_holding_public_office": true,
54 "has_nominee_shareholders": true,
55 "has_prior_financial_institution_refusal": true,
56 "has_ringgit_borrowing": true,
57 "industry_category_code": "ICCV3_0000XX",
58 "no_shareholders_with_over_25percent": true,
59 "operating_country": [
60 "US",
61 "AU"
62 ],
63 "registration_address": {
64 "address_line1": "200 Collins Street",
65 "address_line2": "200 Collins Street",
66 "country_code": "AU",
67 "postcode": "3000",
68 "state": "VIC",
69 "suburb": "Melbourne"
70 },
71 "registration_address_english": {
72 "address_line1": "200 Collins Street",
73 "address_line2": "200 Collins Street",
74 "country_code": "AU",
75 "postcode": "3000",
76 "state": "VIC",
77 "suburb": "Melbourne"
78 },
79 "state_of_incorporation": "CA",
80 "url": "http://www.your_company.com"
81 },
82 "business_person_details": [
83 {
84 "attachments": {
85 "business_person_documents": [
86 {
87 "tag": "PERSON_PURPORTING_TO_ACT_AUTHORISATION_LETTER"
88 }
89 ]
90 },
91 "date_of_birth": "1980-10-10",
92 "email": "[email protected]",
93 "first_name": "John",
94 "first_name_english": "Alice",
95 "identifications": {
96 "primary": {
97 "drivers_license": {
98 "effective_at": "2020-11-01",
99 "expire_at": "2040-11-01",
100 "gender": "F",
101 "issuing_state": "VIC",
102 "number": "6275046"
103 },
104 "identification_type": "PASSPORT",
105 "issuing_country_code": "AU",
106 "passport": {
107 "effective_at": "2020-11-01",
108 "expire_at": "2040-11-01",
109 "mrz_line1": "P<UTOERIKSSON<<ANNA<MARIA<<<<<<<<<<<<<<<<<<<",
110 "mrz_line2": "L898902C<3UTO6908061F9406236ZE184226B<<<<<14",
111 "number": "4107306240"
112 },
[...]
